ros-humble-moveit-planners-ompl (2.5.6-1jammy) jammy; urgency=high

  * Invoke OMPL debug print only when debug logging is enabled (backport #2608 <https://github.com/ros-planning/moveit2/issues/2608>) (#2762 <https://github.com/ros-planning/moveit2/issues/2762>)
  * Map ompl's APPROXIMATE_SOLUTION -> TIMED_OUT / PLANNING_FAILED (#2455 <https://github.com/ros-planning/moveit2/issues/2455>) (#2459 <https://github.com/ros-planning/moveit2/issues/2459>)
  * Contributors: Igor Medvedev, Robert Hashcke, mergify[bot]

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 17 Nov 2024 05:00:00 -0000

ros-humble-moveit-planners-ompl (2.5.5-1jammy) jammy; urgency=high

  * Fix Constraint Planning Segfault (#2130 <https://github.com/ros-planning/moveit2/issues/2130>) (#2173 <https://github.com/ros-planning/moveit2/issues/2173>)
    * Fix Constraint Planning Segfault
    * Reuse planner data
    * apply clang formatting
    * apply clang formatting round 2
    * add FIXME note and verbose output of planning graph size
    ---------
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
    (cherry picked from commit 92a7951f74baaf26d07356612a2f5dca0bac5065)
    Co-authored-by: Marq Rasmussen <mailto:marq.razz@gmail.com>
  * Cleanup msg includes: Use C++ instead of C header (backport #1844 <https://github.com/ros-planning/moveit2/issues/1844>)
    * Cleanup msg includes: Use C++ instead of C header
    * Remove obsolete include: moveit_msgs/srv/execute_known_trajectory.hpp
  * Use <> for non-local headers (#1765 <https://github.com/ros-planning/moveit2/issues/1765>)
    Unless a header lives in the same or a child directory of the file
    including it, it's recommended to use <> for the #include statement.
    For more information, see the C++ Core Guidelines item SF.12
    https://isocpp.github.io/CppCoreGuidelines/CppCoreGuidelines#sf12-prefer-the-quoted-form-of-include-for-files-relative-to-the-including-file-and-the-angle-bracket-form-everywhere-else
    (cherry picked from commit 7a1f2a101f9aeb8557e8a31656bbe1a6d53b430e)
  * Re-enable clang-tidy check performance-unnecessary-value-param (backport #1703 <https://github.com/ros-planning/moveit2/issues/1703>)
    * Re-enable clang-tidy check performance-unnecessary-value-param (#1703 <https://github.com/ros-planning/moveit2/issues/1703>)
    * Fix clang-tidy issues (#1706 <https://github.com/ros-planning/moveit2/issues/1706>)
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
    Co-authored-by: Robert Haschke <mailto:rhaschke@users.noreply.github.com>
  * Contributors: Chris Thrasher, Robert Haschke, mergify[bot]

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 10 Sep 2023 04:00:00 -0000

ros-humble-moveit-planners-ompl (2.5.4-1jammy) jammy; urgency=high

  * simplify_solution per planning context (#1437 <https://github.com/ros-planning/moveit2/issues/1437>) (#1646 <https://github.com/ros-planning/moveit2/issues/1646>)
    (cherry picked from commit 048062cc8749a1e1e224ff99a3bfa12e8c3ae3ba)
    Co-authored-by: Antoine Duplex <mailto:106062275+AntoineDevop@users.noreply.github.com>
  * Convert OMPL status to MoveItErrorCode in the OMPL interface (#1606 <https://github.com/ros-planning/moveit2/issues/1606>) (#1668 <https://github.com/ros-planning/moveit2/issues/1668>)
    (cherry picked from commit baba9b041225ed5518d5235996afb9aa3c5a61f8)
    Co-authored-by: AndyZe <mailto:zelenak@picknik.ai>
  * size_t bijection index type (#1544 <https://github.com/ros-planning/moveit2/issues/1544>) (#1659 <https://github.com/ros-planning/moveit2/issues/1659>)
    (cherry picked from commit af7bd63a084d62de0821bb0e451008f2b1b11954)
  * Fix logic with enforcing constrained planning state space in OMPL (backport #1589 <https://github.com/ros-planning/moveit2/issues/1589>) (#1641 <https://github.com/ros-planning/moveit2/issues/1641>)
    (cherry picked from commit 67e08b7999e252971907dab5cf17b789d1336863)
    Co-authored-by: Stephanie Eng <mailto:stephanie-eng@users.noreply.github.com>
  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>) (#1555 <https://github.com/ros-planning/moveit2/issues/1555>)
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Fixes for using generate_state_database (backport #1412 <https://github.com/ros-planning/moveit2/issues/1412>) (#1493 <https://github.com/ros-planning/moveit2/issues/1493>)
  * correctly initialize rmw_serialized_message_t
    (cherry picked from commit cf714d5407d5100e4587e9ead740c665e5a70507)
  * automatically declare parameters from overrides
    (cherry picked from commit b961e9c14d66a6a7abd91490a76ee2bef0fe08dc)
  * Remove __has_include statements (#1481 <https://github.com/ros-planning/moveit2/issues/1481>) (#1483 <https://github.com/ros-planning/moveit2/issues/1483>)
  * Contributors: Alaa, Henning Kayser, mergify[bot]

 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 04 Nov 2022 04:00:00 -0000

ros-humble-moveit-planners-ompl (2.5.3-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 28 Jul 2022 04:00:00 -0000

ros-humble-moveit-planners-ompl (2.5.2-1jammy) jammy; urgency=high

  * Merge remote-tracking branch 'origin/main' into feature/msa
  * Removing more boost usage (#1372 <https://github.com/ros-planning/moveit2/issues/1372>)
  * Merge remote-tracking branch 'upstream/main' into feature/msa
  * Removing some boost usage (#1331 <https://github.com/ros-planning/moveit2/issues/1331>)
    Co-authored-by: Vatan Aksoy Tezer <mailto:vatan@picknik.ai>
  * Add support for mixed constraints with constrained planner (#1319 <https://github.com/ros-planning/moveit2/issues/1319>)
    Co-authored-by: AndyZe <mailto:zelenak@picknik.ai>
  * Remove unnecessary rclcpp.hpp includes (#1333 <https://github.com/ros-planning/moveit2/issues/1333>)
  * Print OMPL setup info at the DEBUG level (#1330 <https://github.com/ros-planning/moveit2/issues/1330>)
  * Port OMPL orientation constraints to MoveIt2 (#1273 <https://github.com/ros-planning/moveit2/issues/1273>)
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    Co-authored-by: JeroenDM <mailto:jeroendemaeyer@live.be>
  * Merge pull request #3106 <https://github.com/ros-planning/moveit2/issues/3106> from v4hn/pr-master-bind-them-all / banish bind()
  * Cleanup OMPL's PlanningContextManager's protected API
  * banish bind()
  * planning_context_manager: rename protected methods
  * Contributors: AndyZe, David V. Lu, Henry Moore, Jafar, Jeroen De Maeyer, Michael Görner, Robert Haschke, Stephanie Eng, Vatan Aksoy Tezer

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 18 Jul 2022 04:00:00 -0000

ros-humble-moveit-planners-ompl (2.5.1-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 31 May 2022 04:00:00 -0000

ros-humble-moveit-planners-ompl (2.5.0-1jammy) jammy; urgency=high

  * Make moveit_common a 'depend' rather than 'build_depend' (#1226 <https://github.com/ros-planning/moveit2/issues/1226>)
  * Avoid bind(), use lambdas instead (#1204 <https://github.com/ros-planning/moveit2/issues/1204>)
  * banish bind()
    source:https://github.com/ros-planning/moveit/pull/3106/commits/a2911c80c28958c1fce8fb52333d770248c4ec05; required minor updates compared to original source commit in order to ensure compatibility with ROS2
  * planning_context_manager: rename protected methods
    sources: https://github.com/ros-planning/moveit/pull/3106/commits/a183bc16f0b5490b1b40789ad2709d1cdbba7453, https://github.com/ros-planning/moveit/pull/3106/commits/c07be63b6cd5cfcea51e91e613bea9be68950754;
  * Revert OMPL parameter loading
  * [ompl] Small code refactor (#1138 <https://github.com/ros-planning/moveit2/issues/1138>)
  * Remove new operators (#1135 <https://github.com/ros-planning/moveit2/issues/1135>)
  * Merge https://github.com/ros-planning/moveit/commit/a25515b73d682df03ed3eccd839110c296aa79fc
  * Delete profiler (#998 <https://github.com/ros-planning/moveit2/issues/998>)
  * Use termination condition for simplification step (#2981 <https://github.com/ros-planning/moveit2/issues/2981>)
    ... to allow canceling the simplification step
  * Switch to std::bind (#2967 <https://github.com/ros-planning/moveit2/issues/2967>)
  * Contributors: Abishalini, Gaël Écorchard, Henning Kayser, Jafar, Jochen Sprickerhof, Robert Haschke, Sencer Yazıcı, Simon Schmeisser, Tyler Weaver, Vatan Aksoy Tezer, jeoseo, rhaschke, v4hn

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 26 May 2022 04:00:00 -0000

ros-humble-moveit-planners-ompl (2.4.0-1jammy) jammy; urgency=high

  * moveit_build_options()
    Declare common build options like CMAKE_CXX_STANDARD, CMAKE_BUILD_TYPE,
    and compiler options (namely warning flags) once.
    Each package depending on moveit_core can use these via moveit_build_options().
  * Contributors: Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 20 Jan 2022 05:00:00 -0000

ros-humble-moveit-planners-ompl (2.3.2-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 29 Dec 2021 05:00:00 -0000

ros-humble-moveit-planners-ompl (2.3.1-1jammy) jammy; urgency=high

  * Add codespell to precommit, fix A LOT of spelling mistakes (#934 <https://github.com/ros-planning/moveit2/issues/934>)
  * Get rid of "std::endl" (#918 <https://github.com/ros-planning/moveit2/issues/918>)
  * changed post-increments in loops to preincrements (#888 <https://github.com/ros-planning/moveit2/issues/888>)
  * Enforce package.xml format 3 Schema (#779 <https://github.com/ros-planning/moveit2/issues/779>)
  * Update Maintainers of MoveIt package (#697 <https://github.com/ros-planning/moveit2/issues/697>)
  * Reduce log verbosity, improved info message (#714 <https://github.com/ros-planning/moveit2/issues/714>)
  * Fix #2811 <https://github.com/ros-planning/moveit/issues/2811> (#2872 <https://github.com/ros-planning/moveit/issues/2872>)
    This is a PR for #2811 <https://github.com/ros-planning/moveit/issues/2811>
  * Add missing dependencies to generated dynamic_reconfigure headers
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Contributors: Dave Coleman, David V. Lu!!, Henning Kayser, Mathias Lüdtke, Parthasarathy Bana, Robert Haschke, Sencer Yazıcı, pvanlaar, v4hn, werner291

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 23 Dec 2021 05:00:00 -0000

ros-humble-moveit-planners-ompl (2.3.0-1jammy) jammy; urgency=high

  * Fix cmake warnings (#690 <https://github.com/ros-planning/moveit2/issues/690>)
    * Fix -Wformat-security
    * Fix -Wunused-variable
    * Fix -Wunused-lambda-capture
    * Fix -Wdeprecated-declarations
    * Fix clang-tidy, readability-identifier-naming in moveit_kinematics
  * Fix warnings in Galactic and Rolling (#598 <https://github.com/ros-planning/moveit2/issues/598>)
    * Use __has_includes preprocessor directive for deprecated headers
    * Fix parameter template types
    * Proper initialization of smart pointers, rclcpp::Duration
  * Fix linking issues for ODE on macOS (#549 <https://github.com/ros-planning/moveit2/issues/549>)
  * Contributors: Henning Kayser, Nisala Kalupahana, Vatan Aksoy Tezer, David V. Lu, Jafar Abdi

 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 08 Oct 2021 04:00:00 -0000

ros-humble-moveit-planners-ompl (2.2.1-1jammy) jammy; urgency=high

  * Fix test dependencies (#539 <https://github.com/ros-planning/moveit2/issues/539>)
  * Add persistent planner support back (#537 <https://github.com/ros-planning/moveit2/issues/537>)
  * Contributors: Jochen Sprickerhof, Michael Görner

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 12 Jul 2021 04:00:00 -0000

ros-humble-moveit-planners-ompl (2.2.0-1jammy) jammy; urgency=high

  * Enable Rolling and Galactic CI (#494 <https://github.com/ros-planning/moveit2/issues/494>)
  * Temporarily disable flaky OMPL test (#495 <https://github.com/ros-planning/moveit2/issues/495>)
  * [sync] MoveIt's master branch up-to https://github.com/ros-planning/moveit/commit/0d0a6a171b3fbea97a0c4f284e13433ba66a4ea4
    * CI: Use compiler flag --pedantic (#2691 <https://github.com/ros-planning/moveit/issues/2691>)
    * Replaced eigen+kdl conversions with tf2_eigen + tf2_kdl (#2472 <https://github.com/ros-planning/moveit/issues/2472>)
  * Contributors: JafarAbdi, Michael Görner, Robert Haschke, Tyler Weaver, Vatan Aksoy Tezer, petkovich

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 30 Jun 2021 04:00:00 -0000

ros-humble-moveit-planners-ompl (2.1.4-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 31 May 2021 04:00:00 -0000

ros-humble-moveit-planners-ompl (2.1.3-1jammy) jammy; urgency=high

  * Fix incomplete start states in OMPL ThreadSafeStateStorage (#455 <https://github.com/ros-planning/moveit2/issues/455>)
  * ompl_interface: Fix loading group's specific parameters (#461 <https://github.com/ros-planning/moveit2/issues/461>)
  * Contributors: Jafar Abdi, Pradeep Rajendran

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 22 May 2021 04:00:00 -0000

ros-humble-moveit-planners-ompl (2.1.2-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 20 Apr 2021 04:00:00 -0000

ros-humble-moveit-planners-ompl (2.1.1-1jammy) jammy; urgency=high

  * Add differential drive joint model (#390 <https://github.com/ros-planning/moveit2/issues/390>)
  * Fix EXPORT install in CMake (#372 <https://github.com/ros-planning/moveit2/issues/372>)
  * OMPL constrained planning (#347 <https://github.com/ros-planning/moveit2/issues/347>)
    Co-authored-by: JeroenDM <mailto:jeroendemaeyer@live.be>
  * [fix] export cmake library install (#339 <https://github.com/ros-planning/moveit2/issues/339>)
  * Fix repo URLs in package.xml files
  * Contributors: Boston Cleek, David V. Lu!!, Henning Kayser, Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 12 Apr 2021 04:00:00 -0000

ros-humble-moveit-planners-ompl (2.1.0-1jammy) jammy; urgency=high

  * [fix] Rosdep dependencies for ros_testing, OpenMP (#309 <https://github.com/ros-planning/moveit2/issues/309>)
  * [fix] OMPL parameter loading (#178 <https://github.com/ros-planning/moveit2/issues/178>)
  * [maint] Wrap common cmake code in 'moveit_package()' macro (#285 <https://github.com/ros-planning/moveit2/issues/285>)
    * New moveit_package() macro for compile flags, Windows support etc
    * Add package 'moveit_common' as build dependency for moveit_package()
    * Added -Wno-overloaded-virtual compiler flag for moveit_ros_planners_ompl
  * [maint] Update to new moveit_resources layout (#247 <https://github.com/ros-planning/moveit2/issues/247>)
  * [maint] Enable clang-tidy-fix and ament_lint_cmake (#210 <https://github.com/ros-planning/moveit2/issues/210>)
  * [ros2-migration] Port move_group to ROS2 (#217 <https://github.com/ros-planning/moveit2/issues/217>)
    * switch OMPL to use pluginlib
  * Contributors: Edwin Fan, Henning Kayser, Jonathan Chapple, Lior Lustgarten

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 23 Nov 2020 05:00:00 -0000

ros-humble-moveit-planners-ompl (2.0.0-1jammy) jammy; urgency=high

  * [fix] Fix OMPL logging macros
  * [fix] Fix OMPL planner plugin install
  * [improve] Load planner parameters from subnamespace
  * [port] Port moveit_planners_ompl to ROS 2 (#142 <https://github.com/ros-planning/moveit2/issues/142>)
  * [improve] Load OMPL planner config parameters
  * [sys] replace rosunit -> ament_cmake_gtest
  * Contributors: Henning Kayser

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 17 Feb 2020 05:00:00 -0000

ros-humble-moveit-planners-ompl (1.1.1-1jammy) jammy; urgency=high

  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski

 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 13 Oct 2020 04:00:00 -0000

ros-humble-moveit-planners-ompl (1.1.0-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 04 Sep 2020 04:00:00 -0000

ros-humble-moveit-planners-ompl (1.0.6-1jammy) jammy; urgency=high

  * [maint] Adapt repository for splitted moveit_resources layout (#2199 <https://github.com/ros-planning/moveit/issues/2199>)
  * [maint] Migrate to clang-format-10
  * [maint] Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * [fix]   Fix memcpy bug in copyJointToOMPLState in ompl interface (#2239 <https://github.com/ros-planning/moveit/issues/2239>)
  * Contributors: Jeroen, Markus Vieth, Robert Haschke, Michael Görner

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 19 Aug 2020 04:00:00 -0000

ros-humble-moveit-planners-ompl (1.0.5-1jammy) jammy; urgency=high

  * [feature] Added support for hybridize/interpolate flags in ModelBasedPlanningContext via ompl_planning.yaml (#2171 <https://github.com/ros-planning/moveit/issues/2171>, #2172 <https://github.com/ros-planning/moveit/issues/2172>)
  * Contributors: Constantinos, Mark Moll

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 08 Jul 2020 04:00:00 -0000

ros-humble-moveit-planners-ompl (1.0.4-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 30 May 2020 04:00:00 -0000

ros-humble-moveit-planners-ompl (1.0.3-1jammy) jammy; urgency=high

  * [maint] Cleanup OMPL dynamic reconfigure config (#1649 <https://github.com/ros-planning/moveit/issues/1649>)
    * Reduce minimum number of waypoints in solution to 2
  * [maint] Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint] Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint] Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * Contributors: Michael Görner, Robert Haschke, Sean Yen, Yu, Yan

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 26 Apr 2020 04:00:00 -0000

ros-humble-moveit-planners-ompl (1.0.2-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 28 Jun 2019 04:00:00 -0000

ros-humble-moveit-planners-ompl (1.0.1-1jammy) jammy; urgency=high

  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Robert Haschke, Yu, Yan

 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 08 Mar 2019 05:00:00 -0000

ros-humble-moveit-planners-ompl (1.0.0-1jammy) jammy; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * Contributors: Dave Coleman, Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 24 Feb 2019 05:00:00 -0000

ros-humble-moveit-planners-ompl (0.10.8-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 24 Dec 2018 05:00:00 -0000

ros-humble-moveit-planners-ompl (0.10.7-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 13 Dec 2018 05:00:00 -0000

ros-humble-moveit-planners-ompl (0.10.6-1jammy) jammy; urgency=high

  * [fix] Fixed memory leak in OMPL planner (#1104 <https://github.com/ros-planning/moveit/issues/1104>)
    * Resolve circular reference to ompl::geometric::SimpleSetupPtr
  * [maintenance] Use C++14 (#1146 <https://github.com/ros-planning/moveit/issues/1146>)
  * [maintenance] Code Cleanup
    * #1179 <https://github.com/ros-planning/moveit/issues/1179>
    * #1196 <https://github.com/ros-planning/moveit/issues/1196>
  * Contributors: Alex Moriarty, Dave Coleman, Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 09 Dec 2018 05:00:00 -0000

ros-humble-moveit-planners-ompl (0.10.5-1jammy) jammy; urgency=high

  * [fix] Build regression (#1174 <https://github.com/ros-planning/moveit/issues/1174>)
  * Contributors: Chris Lalancette

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 01 Nov 2018 04:00:00 -0000

ros-humble-moveit-planners-ompl (0.10.4-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 29 Oct 2018 04:00:00 -0000

ros-humble-moveit-planners-ompl (0.10.3-1jammy) jammy; urgency=high

  * [maintenance] Use locale independent conversion from double to string (#1099 <https://github.com/ros-planning/moveit/issues/1099>)
  * Contributors: Simon Schmeisser

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 29 Oct 2018 04:00:00 -0000

ros-humble-moveit-planners-ompl (0.10.2-1jammy) jammy; urgency=high

  * [capability] adaptions for OMPL 1.4 (#903 <https://github.com/ros-planning/moveit/issues/903>)
  * Contributors: Dave Coleman, Michael Görner, Mikael Arguedas, Mohmmad Ayman, Robert Haschke, mike lautman

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 24 Oct 2018 04:00:00 -0000

ros-humble-moveit-planners-ompl (0.10.1-1jammy) jammy; urgency=high

  * migration from tf to tf2 API (#830 <https://github.com/ros-planning/moveit/issues/830>)
  * switch to ROS_LOGGER from CONSOLE_BRIDGE (#874 <https://github.com/ros-planning/moveit/issues/874>)
  * Make trajectory interpolation in MoveIt consistent to OMPL (#869 <https://github.com/ros-planning/moveit/issues/869>)
  * Contributors: Bryce Willey, Ian McMahon, Mikael Arguedas, Robert Haschke, Xiaojian Ma

 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 25 May 2018 04:00:00 -0000

ros-humble-moveit-planners-ompl (0.9.11-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 25 Dec 2017 05:00:00 -0000

ros-humble-moveit-planners-ompl (0.9.10-1jammy) jammy; urgency=high

  * [maintenance][kinetic onward] Remove OutputHandlerROS from ompl_interface (#609 <https://github.com/ros-planning/moveit/issues/609>)
  * Contributors: Bence Magyar

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 09 Dec 2017 05:00:00 -0000

ros-humble-moveit-planners-ompl (0.9.9-1jammy) jammy; urgency=high

  * [improve][moveit_planners_ompl] Optional forced use of JointModelStateSpaceFactory (#541 <https://github.com/ros-planning/moveit/issues/541>)
  * Contributors: henhenhen

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 06 Aug 2017 04:00:00 -0000

ros-humble-moveit-planners-ompl (0.9.8-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 21 Jun 2017 04:00:00 -0000

ros-humble-moveit-planners-ompl (0.9.7-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 05 Jun 2017 04:00:00 -0000

ros-humble-moveit-planners-ompl (0.9.6-1jammy) jammy; urgency=high

  * Always update initial robot state to prevent dirty robot state error.
  * Contributors: Henning Kayser

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 12 Apr 2017 04:00:00 -0000

ros-humble-moveit-planners-ompl (0.9.5-1jammy) jammy; urgency=high

  * [fix][moveit_ros_warehouse] gcc6 build error #423 <https://github.com/ros-planning/moveit/pull/423>
  * Contributors: Dave Coleman

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 08 Mar 2017 05:00:00 -0000

ros-humble-moveit-planners-ompl (0.9.4-1jammy) jammy; urgency=high

  * [enhancement] ompl_interface: uniform & simplified handling of the default planner (#371 <https://github.com/ros-planning/moveit/issues/371>)
  * [maintenance] clang-format upgraded to 3.8 (#367 <https://github.com/ros-planning/moveit/issues/367>)
  * Contributors: Dave Coleman, Michael Goerner

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 06 Feb 2017 05:00:00 -0000

ros-humble-moveit-planners-ompl (0.9.3-1jammy) jammy; urgency=high

  * [capability] Exposed planners from latest ompl release. (#338 <https://github.com/ros-planning/moveit/issues/338>)
  * [maintenance] Updated package.xml maintainers and author emails #330 <https://github.com/ros-planning/moveit/issues/330>
  * Contributors: Dave Coleman, Ian McMahon, Ruben Burger

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 16 Nov 2016 05:00:00 -0000

ros-humble-moveit-planners-ompl (0.9.2-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 05 Nov 2016 04:00:00 -0000

ros-humble-moveit-planners-ompl (0.7.0-1jammy) jammy; urgency=high

  * Removed trailing whitespace from entire repository
  * Fixed include directory order to make ros package shadowing work.
  * fixing internal storing of config settings
  * Make sure an overlayed OMPL is used instead of the ROS one.
  * fix simplifySolutions(bool) setter
    The method simplifySolutions(bool) always set the simplify_solutions member to true and the input variable "flag" was ignored.
    The method is fixed by setting the simplify_solutions member to the value of the input variable "flag".
  * changed location of getDefaultPlanner
  * Contributors: Bastian Gaspers, Christian Dornhege, Dave Coleman, Dave Hershberger, Sachin Chitta

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 30 Jan 2016 05:00:00 -0000

ros-humble-moveit-planners-ompl (0.6.7-1jammy) jammy; urgency=high

  * Changed OMPL SimpleSetup member variable to shared pointer, passed MotionPlanningRequest to child function
  * Simplified number of solve() entry points in moveit_planners_ompl
  * Fixed uninitialized ``ptc_`` pointer causing a crash.
  * renamed newGoal to new_goal for keeping with formatting
  * setting GroupStateValidityCallbackFn member for constraint_sampler member and implementing callbacks for state validity checking
  * added functions to check validit of state, and also to act as callback for constraint sampler
  * Added copy function from MoveIt robot_state joint values to ompl state
  * fix for demo constraints database linking error
  * Namespaced less useful debug output to allow to be easily silenced using ros console
  * Contributors: Dave Coleman, Dave Hershberger, Sachin Chitta, arjungm

 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 28 Oct 2014 04:00:00 -0000

ros-humble-moveit-planners-ompl (0.6.6-1jammy) jammy; urgency=high

  * indigo version of moveit planners
  * fix compile error on Indigo
  * Fix for getMeasure() virtual function OMPL change
  * Move OMPL paths before catkin to avoid compilation against ROS OMPL package when specifying a different OMPL installation
  * Fixed bug which limited the number of plans considered to the number of threads.
  * Contributors: Alexander Stumpf, Chris Lewis, Dave Coleman, Ryan Luna, Sachin Chitta

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 06 Jul 2014 04:00:00 -0000

ros-humble-moveit-planners-ompl (0.5.5-1jammy) jammy; urgency=high

  * update build system for ROS indigo
  * Removed duplicate call to setPlanningScene(), added various comments
  * Contributors: Dave Coleman, Ioan Sucan

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 22 Mar 2014 04:00:00 -0000

ros-humble-moveit-planners-ompl (0.5.4-1jammy) jammy; urgency=high

  * fix segfault when multiple goals are passed to move_group

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 06 Feb 2014 05:00:00 -0000

ros-humble-moveit-planners-ompl (0.5.3-1jammy) jammy; urgency=high

  * update to new API

 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 11 Oct 2013 04:00:00 -0000

ros-humble-moveit-planners-ompl (0.5.2-1jammy) jammy; urgency=high

  * porting to new robot state

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 23 Sep 2013 04:00:00 -0000

ros-humble-moveit-planners-ompl (0.5.1-1jammy) jammy; urgency=high

  * make headers and author definitions aligned the same way; white space fixes
  * namespace change for profiler

 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 13 Aug 2013 04:00:00 -0000

ros-humble-moveit-planners-ompl (0.5.0-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 15 Jul 2013 04:00:00 -0000

ros-humble-moveit-planners-ompl (0.4.2-1jammy) jammy; urgency=high

  * white space fixes (tabs are now spaces)
  * port ompl plugin to new base class for planning_interface (using planning contexts)

 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 12 Jul 2013 04:00:00 -0000

ros-humble-moveit-planners-ompl (0.4.1-1jammy) jammy; urgency=high

  * use new location of RRTstar, add PRMstar
  * Added new cost function that takes into account robot joint movements
  * Added ability for parameter sweeping by allowing parameters to be changed in planning contexts
  * Added ability to alter configs in a cache

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 04 Jul 2013 04:00:00 -0000

ros-humble-moveit-planners-ompl (0.4.0-1jammy) jammy; urgency=high

  * propagating changes from moveit_core

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 27 May 2013 04:00:00 -0000

ros-humble-moveit-planners-ompl (0.3.11-1jammy) jammy; urgency=high

  * remove some debug output and add some fixes
  * some fixes for planning with constraint approximations
  * more refactoring; what used to work (including using constraint approximations) works fine. explicitly storing motions is not yet done
  * refactor constraints storage stuff
  * display random motions in a slightly more robust way
  * remove follow constraints API
  * combine ompl_interface and ompl_interface_ros
  * don't print status
  * remove option for ordering constraint approximations (and fix #12 <https://github.com/ros-planning/moveit_planners/issues/12>)
  * add test for jumping configs
  * use project() instead of sample() for producing goals
  * minor fixes and add demo database construction code
  * switch to using the profiler in moveit and add one more debug tool

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 02 May 2013 04:00:00 -0000

ros-humble-moveit-planners-ompl (0.3.10-1jammy) jammy; urgency=high

  * Merge branch 'groovy-devel' of github.com:ros-planning/moveit_planners into groovy-devel
  * remove incorrect dep
  * add dynamic reconfigure options for #2 <https://github.com/ros-planning/moveit_planners/issues/2>

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 17 Apr 2013 04:00:00 -0000

ros-humble-moveit-planners-ompl (0.3.9-1jammy) jammy; urgency=high

  * disable old style benchmarking

 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 16 Apr 2013 17:39:00 -0000

ros-humble-moveit-planners-ompl (0.3.8-1jammy) jammy; urgency=high

  * fix #8 <https://github.com/ros-planning/moveit_planners/issues/8>
  * use namespace option in ompl plugin
  * remove unused functions
  * add buildtool depends
  * Fixed state deserialization: now update var transform too
  * collapse OMPL plugin to one package
  * robustness fix
  * Fixed github url name

 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 16 Apr 2013 15:23:00 -0000

ros-humble-moveit-planners-ompl (0.3.7-1jammy) jammy; urgency=high

  * Remove configure from PlanningScene
  * add multi-collision to PlanningScene
  * renaming kinematic_model to robot_model

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 09 Mar 2013 05:00:00 -0000

ros-humble-moveit-planners-ompl (0.3.6-1jammy) jammy; urgency=high

  * complete renaming process
  * rename KinematicState to RobotState, KinematicTrajectory to RobotTrajectory
  * propagating fixes from moveit_core
  * use new robot_trajectory lib

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 02 Feb 2013 05:00:00 -0000

ros-humble-moveit-planners-ompl (0.3.5-1jammy) jammy; urgency=high

  * fix reporting of goal collisions
  * add some verbose output for failing goals
  * port to new DisplayTrajectory message
  * propagate API changes from planning_interface
  * minor fix
  * use the project() method to improve constraint following algorithm
  * change default build flags

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 28 Jan 2013 05:00:00 -0000

ros-humble-moveit-planners-ompl (0.3.4-1jammy) jammy; urgency=high

  * dynamic_reconfigure workaroung

 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 21 Dec 2012 04:59:00 -0000

ros-humble-moveit-planners-ompl (0.3.3-1jammy) jammy; urgency=high

  * update dyn reconfig call

 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 21 Dec 2012 02:51:00 -0000

ros-humble-moveit-planners-ompl (0.3.2-1jammy) jammy; urgency=high

  * fix call to obsolete function

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 20 Dec 2012 18:45:00 -0000

ros-humble-moveit-planners-ompl (0.3.1-1jammy) jammy; urgency=high

  * using the constraint sampler loading library
  * make sure sampled goals are valid
  * fix buildtool tag

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 19 Dec 2012 05:00:00 -0000

ros-humble-moveit-planners-ompl (0.3.0-1jammy) jammy; urgency=high

  * add a debug msg
  * re-enable heuristic
  * first working version of follow planner
  * most of the follow alg, but not 100% complete yet
  * pass valid state samplers into the follow algorithm
  * add constrained valid state sampler
  * minor fixes
  * fixes some catkin CMakeLists issues
  * add code to allow execution of follow()
  * port test to groovy
  * placeholder for to-be-added algorithm
  * minor touch-ups; no real functional changes other than a bias for state samplers wrt dimension of the space (when sampling in a ball of dimension D, focus the sampling towards the surface of the ball)
  * minor & incomplete fix

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 10 Dec 2012 05:00:00 -0000

ros-humble-moveit-planners-ompl (0.2.5-1jammy) jammy; urgency=high

  * update to new message API

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 26 Nov 2012 05:00:00 -0000

ros-humble-moveit-planners-ompl (0.2.4-1jammy) jammy; urgency=high

  * improve error message
  * stricter error checking
  * update include path

 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 23 Nov 2012 05:00:00 -0000

ros-humble-moveit-planners-ompl (0.2.3-1jammy) jammy; urgency=high

  * use generalized version of getMaximumExtent()

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 22 Nov 2012 03:47:00 -0000

ros-humble-moveit-planners-ompl (0.2.2-1jammy) jammy; urgency=high

  * more fixes to planners
  * removed bad include dir
  * fixed some plugin issues
  * fixed include dirs in ompl ros interface
  * added gitignore for ompl/ros

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 22 Nov 2012 03:41:00 -0000

ros-humble-moveit-planners-ompl (0.2.1-1jammy) jammy; urgency=high

  * update install location of include/

 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 06 Nov 2012 05:00:00 -0000

ros-humble-moveit-planners-ompl (0.2.0-1jammy) jammy; urgency=high

  * udpate install targets

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 05 Nov 2012 05:00:00 -0000

ros-humble-moveit-planners-ompl (0.1.2-1jammy) jammy; urgency=high

  * bump version
  * install the plugin lib as well
  * add TRRT to the list of options

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 01 Nov 2012 04:00:00 -0000

ros-humble-moveit-planners-ompl (0.1.1-1jammy) jammy; urgency=high

  * fixes for build against groovy

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 29 Oct 2012 04:00:00 -0000

ros-humble-moveit-planners-ompl (0.1.0-1jammy) jammy; urgency=high

  * port to groovy
  * added some groovy build system files
  * more moving around of packages

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 28 Oct 2012 04:00:00 -0000


